### A free/open-source library for quantitative finance

Public Member Functions
HimalayaOption Class Reference

Himalaya option. More...

`#include <ql/experimental/exoticoptions/himalayaoption.hpp>`

Inheritance diagram for HimalayaOption:
[legend]

List of all members.

## Public Member Functions

| HimalayaOption (const std::vector< Date > &fixingDates, Real strike)
void | setupArguments (PricingEngine::arguments *) const

## Detailed Description

Himalaya option.

The payoff of a Himalaya option is computed in the following way: Given a basket of N assets, and N time periods, at the end of each period the option who performed the best is added to the average and then discarded from the basket. At the end of the N, periods the option pays the max between the strike and the average of the best performers.

Warning:
  This implementation still does not manage seasoned options.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from MultiAssetOption.